[**brk-client**](../README.md)

***

[brk-client](../globals.md) / BlockSizesWeights

# Interface: BlockSizesWeights

Defined in: [Developer/brk/modules/brk-client/index.js:269](https://github.com/bitcoinresearchkit/brk/blob/76869ed2b6aad1e1c3da7aff4c90e9b5788fb606/modules/brk-client/index.js#L269)

## Properties

### sizes

> **sizes**: [`BlockSizeEntry`](BlockSizeEntry.md)[]

Defined in: [Developer/brk/modules/brk-client/index.js:270](https://github.com/bitcoinresearchkit/brk/blob/76869ed2b6aad1e1c3da7aff4c90e9b5788fb606/modules/brk-client/index.js#L270)

Block size data points

***

### weights

> **weights**: [`BlockWeightEntry`](BlockWeightEntry.md)[]

Defined in: [Developer/brk/modules/brk-client/index.js:271](https://github.com/bitcoinresearchkit/brk/blob/76869ed2b6aad1e1c3da7aff4c90e9b5788fb606/modules/brk-client/index.js#L271)

Block weight data points
